Package org.tanukisoftware.wrapper

# Class WrapperWin32Service

java.lang.Object
org.tanukisoftware.wrapper.WrapperWin32Service

public class WrapperWin32Service extends Object
A WrapperWin32Service contains information about an individual service registered with the current system.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SERVICE_STATE_CONTINUE_PENDING`
`static final int`
`SERVICE_STATE_PAUSE_PENDING`
`static final int`
`SERVICE_STATE_PAUSED`
`static final int`
`SERVICE_STATE_RUNNING`
`static final int`
`SERVICE_STATE_START_PENDING`
`static final int`
`SERVICE_STATE_STOP_PENDING`
`static final int`
`SERVICE_STATE_STOPPED`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of the service.
`int`
`getExitCode()`
Returns the exit of the service, or 0 if it is still running.
`String`
`getName()`
Returns the name of the service.
`int`
`getServiceState()`
Returns the last known state of the service.
`String`
`getServiceStateName()`
Returns the last known state name of the service.
`String`
`toString()`
Returns a string representation of the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SERVICE_STATE_STOPPED

public static final int SERVICE_STATE_STOPPED

See Also:
  - Constant Field Values

### SERVICE_STATE_START_PENDING

public static final int SERVICE_STATE_START_PENDING

See Also:
  - Constant Field Values

### SERVICE_STATE_STOP_PENDING

public static final int SERVICE_STATE_STOP_PENDING

See Also:
  - Constant Field Values

### SERVICE_STATE_RUNNING

public static final int SERVICE_STATE_RUNNING

See Also:
  - Constant Field Values

### SERVICE_STATE_CONTINUE_PENDING

public static final int SERVICE_STATE_CONTINUE_PENDING

See Also:
  - Constant Field Values

### SERVICE_STATE_PAUSE_PENDING

public static final int SERVICE_STATE_PAUSE_PENDING

See Also:
  - Constant Field Values

### SERVICE_STATE_PAUSED

public static final int SERVICE_STATE_PAUSED

See Also:
  - Constant Field Values

## Method Details

### getName

public String getName()
Returns the name of the service.

Returns:
  The name of the service.

### getDisplayName

public String getDisplayName()
Returns the display name of the service.

Returns:
  The display name of the service.

### getServiceStateName

public String getServiceStateName()
Returns the last known state name of the service.

Returns:
  The last known state name of the service.

### getServiceState

public int getServiceState()
Returns the last known state of the service.

Returns:
  The last known state of the service.

### getExitCode

public int getExitCode()
Returns the exit of the service, or 0 if it is still running.

Returns:
  The exit of the service.

### toString

public String toString()
Returns a string representation of the user.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of the user.